commit cc2abb95a95a4af1bfdae8fa006c50e95a75ab87
Author: freddy77 <freddy77>
Date:   Mon May 10 15:10:42 2010 +0000

    improve Visual Studio compile

diff --git a/ChangeLog b/ChangeLog
index d162c3d..cf6b86f 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Mon May 10 17:10:10 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds_sysdep_private.h src/dblib/dbopen.c:
+	- improve Visual Studio compile
+
 Fri May  7 17:09:50 EDT 2010	JK Lowden <jklowden@freetds.org>
 	* src/tds/token.c Applied today's ML patch from Craig A. Berry
 
@@ -2428,4 +2432,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3017 2010/05/07 21:11:29 jklowden Exp $
+$Id: ChangeLog,v 1.3018 2010/05/10 15:10:42 freddy77 Exp $
diff --git a/include/tds_sysdep_private.h b/include/tds_sysdep_private.h
index dbe30e2..7a4a5c2 100644
--- a/include/tds_sysdep_private.h
+++ b/include/tds_sysdep_private.h
@@ -21,7 +21,7 @@
 #ifndef _tds_sysdep_private_h_
 #define _tds_sysdep_private_h_
 
-/* $Id: tds_sysdep_private.h,v 1.32 2010/02/09 08:40:07 freddy77 Exp $ */
+/* $Id: tds_sysdep_private.h,v 1.33 2010/05/10 15:10:47 freddy77 Exp $ */
 
 #undef TDS_RCSID
 #if defined(__GNUC__) && __GNUC__ >= 3
@@ -107,9 +107,10 @@ typedef DWORD pid_t;
 #define TDS_SDIR_SEPARATOR "\\"
 
 /* use macros to use new style names */
-#ifdef __MSVCRT__
+#if defined(__MSVCRT__) || defined(_MSC_VER)
 #define getpid()           _getpid()
 #define strdup(s)          _strdup(s)
+#define fileno(f)          _fileno(f)
 #define stricmp(s1,s2)     _stricmp(s1,s2)
 #define strnicmp(s1,s2,n)  _strnicmp(s1,s2,n)
 #endif
diff --git a/src/dblib/dbopen.c b/src/dblib/dbopen.c
index 4e61b6d..f1f4b44 100644
--- a/src/dblib/dbopen.c
+++ b/src/dblib/dbopen.c
@@ -22,7 +22,7 @@
 #endif
 
 #include <tds.h>
-#include <../../include/sybdb.h>
+#include <sybdb.h>
 
 #ifdef DMALLOC
 #include <dmalloc.h>
@@ -32,7 +32,7 @@
 #undef dbopen
 #endif
 
-TDS_RCSID(var, "$Id: dbopen.c,v 1.13 2009/10/23 19:21:45 jklowden Exp $");
+TDS_RCSID(var, "$Id: dbopen.c,v 1.14 2010/05/10 15:10:47 freddy77 Exp $");
 
 /**
  * Normally not used. 

